#
# ChangeLog for tpm2deb.pl and relatives
#
#

texlive-base (2011.20120322-2) unstable
texlive-lang (2011.20120322-2) unstable

2012-04-02

  * [base] make sure that debconf templates are installed (Closes: #666680)
  * [base] use tl-paper instead of texconfig-sys in texlive-base postinst

2012-03-XX

  * [lang] add missing dependency texlive-lang-cjk -> texlive-latex-base

texlive-base (2011.20120322-1) unstable
texlive-doc (2011.20120322-1) unstable
texlive-extra (2011.20120322-1) unstable
texlive-lang (2011.20120322-1) unstable
texlive-bin (2011.20120322-1) unstable
tex-common (3.4) unstable


2012-03-22

  * [base] rebuild with new tex-common, we need it for language.dat.lua
    handling

2012-03-21

  * [base] link also language.dat.lua
  * [base] do not generate hyphen.d/09texlive-base.cnf with USEFILE
    directive, it is superseeded by tex-common 3.4
  * [all] debian/rules: fix removal of .hyphens files
  * [all] tpm2deb-bin.pl: generate proper hyphen.d files

2012-03-19

  * [base] include tl-paper.pl and reworked libpaper handling (fk)
  * [all] replace otf/ttf fonts with links to the files in the 
    respective Debian package, depend on that package

texlive-base (2011.20120314-1) experimental
texlive-doc (2011.20120314-1) experimental
texlive-extra (2011.20120314-1) experimental
texlive-lang (2011.20120314-1) experimental

2012-03-13

  * [all] do proper blacklist handling, it was hosed

2012-03-10

  * [all] remove tpm2license call from generate-licenses, it does not
    do anything useful. Remove it also from tex-common!

texlive-base (2011.20120226-1) experimental
texlive-doc (2011.20120226-1) experimental
texlive-extra (2011.20120226-1) experimental
texlive-lang (2011.20120226-1) experimental

2012-02-??

  * [all] packaging TL2012, too many changes

[LONG BREAK]

2010-11-10

  * [bin] add upstream patch from Mathias Kende fixing segfaults on MIPS
    due to invalid C (Closes: #602566)
    (debian/patches/upstream-tex-file_arg-passing-fix) (np)

2010-08-11

  * [base] make texlive-base conflict with texlive-base-bin-doc to get
    it removed (Closes: #589205)
  * [base] avoid unneeded 10texlive-base.cnfpre-edit files in /etc/texmf/fmt.d,
    thanks Jörg-Volker Peetz (Closes: #584950)


2010-08-10

  * [bin] revert the set -e change since we are in freeze, change the
    texconfig patch to only remove the text and depend on debianized fmtutil.

2010-08-06

  * [bin] adapt the texconfig formats and texconfig hyphen warning text to
    Debian reality (Closes: #588731)

2010-08-05

  * [bin] add perl, texlive-common to the list of dependencies
  * [bin] set -e in updmap, mktexlsr, fmtutil (Closes: #586549)

2010-07-01

  * [extra] add the forgotten epoch for musixtex dependency
    (Closes: #587746)

release texlive-extra 2009-9 unstable

2010-06-29

  * [extra] make texlive-music *not* depend on musixlyr and musixtex-slurps
    anymore, but tighten dep on new musixtex package that provides this
    functionality (Closes: #587718)

2010-06-24

  * [all] change bug.script to mention running the bug example with 
    -recorder and send the .fls file

release texlive-extra 2009-8 unstable

2010-06-02

  * [extra] add ghostscript to the list of recommends of
    texlive-font-utils (Closes: #584329)

2010-05-25

  * [bin] add ed to the list of dependencies (LP: #577305)
    (Closes: #580732)

release texlive-base 2009-10 unstable

2010-05-25
  * [base] add license statements for all the AMS macros (Closes: #477060)
  * [all] add debian/source/format wiht 1.0 content

2010-05-20
  
  * [base] Make sure that the texdoc.cnf link is actually created
    (Closes: #582291)

release texlive-base 2009-9 unstable
release texlive-bin 2009-6 unstable

2010-04-30

  * [bin] Fix CVE-2010-1440: this overrides the incomplete fix for 
    CVE-2010-0793.

2010-04-29

  * [extra] include revtex4 backward compatibility (Closes: #561836)

2010-04-27
  * [base] texlive-xetex recommends lmodern (Closes: #576599)
  * [bin] bump build-dep on libpoppler to 0.12.4 (against my will!!)
    (Closes: #577684)

2010-04-26
  * [base] reinstantiate the code for the lost pdftexconfig.tex in
    texlive-base (Closes: #579000)
  * [all] bump standards version to 3.8.4
  * [base] add dependency texlive-pictures -> luatex to make lintian happy

2010-04-24
  * [bin] incorporate cve fixes from security teams nmu

2010-03-30
  * [bin] add a patch upstream-web2c-tmpfilewithpid that fixes overwriting
    files with -recorder in parallel builds (Closes: #575731).

2010-03-29
  * [bin] include (lost) man pages for texconfig-dialog, devnag, bibtex8,
    omfonts, otangle, pdfopen (no bug, but see #574796)
  * [extra] install man page for pdfcrop (Closes: #574796)
  * [extra] update epstopdf to latest version (--output fixes) 
    (Closes: #573540)
  * [base] move texdoc.cnf into /etc/texmf and create a link from the
    original location, making it a conffile (Closes: #569737)
    That makes an added type of the mapping directive necessary: 
    copy-move-config.

2010-03-11
  * [base] update patch upstream-pdftex.def-fixes to include latest addition 
    to pdftex.def, fixing FTBFS when defining \undefined macro
    (LP: #534293)

release texlive-base 2009-8 unstable

2010-03-17
  * [base] add patch epspdf-call-ruby-explicitely that make epspdf and epspdftk
    call the ruby implementations explicitely with ruby as interpreter
    to allow execution (Closes: #565646)
  * [base] add texlive-base_cid-x.map_add-jis.patch from YOSHINO Yoshihito
    that adds jis maps to cid-x.map fixing the usage of jis fonts with 
    ptex (Closes: #570901)

2010-02-14
  * [base] update pdftex.def to latest version to fix pdfxmltex breakage
    (Closes: #566591) [np]

2010-01-31
  * [all] add a trailing slash to the Homepage: line for debian/control in
    tpm2deb-source.pl [fk]
  
release texlive-extra 2009-7 unstable
	(urgency=high to easy transition to testing)

2010-01-11
  * [extra] texlive-latex-extra replaces texlive-base-bin (<< 2008)
    (Closes: #564709)

release texlive-base 2009-7 unstable

2010-01-05
  * [base] add missing replace texlive-latex-base > texlive-base-bin 
    (Closes: #563733)
  * [base] support zipped documents in texdoc by patching constants.tlu
  * [base] update xetex.def to 0.94 from upstream (Closes: #485071)
  * [base] use see in texdoc.cnf

2010-01-03
  * [base] install texdoc.cnf in /usr/share/texmf/texdoc to make texdoc 
    find it (Closes: #557861, #563460)
  * [base] update texdoc to 0.61

2010-01-02
  * [base] add man page for simpdftex
  * [extra] add man pages for pkfix and ps4pdf (Closes: #563301)

2009-12-29
  * [base] fix location of updated texdoc.pdf[.uu] in texlive-base.root
    (must be in /u/s/d/texlive-base/texdoc)
  * [base] update luainputenc and luatextra to current versions 
    (Closes: #562849)

release texlive-base 2009-6 unstable
release texlive-extra 2009-6 unstable

2009-12-25
  * [all] install several man pages via the .install files. That
    will install also the epstopdf man page (Closes: #562498)
  * [extra] update epstopdf to current version (where --filter works) 
    (Closes: #562497)

2009-12-24
  * [base] upgrade texdoc to 0.60, activate support for zipped documents,
    and change the config file to use see for all documents (Closes: #561785)
    (patches: texdoc-update, texdoc-viewer-use-see, added .pdf.uu in
    debian/texlive-base.root/usr/share/texmf-texlive/doc/texdoc)

2009-12-23
  * [bin] include a patch (from upstream) to fmtutil so that multiple 
    defined formats are accepted. That is the definitive fix for bug
    #557091, but the other one is necessary, too.

release texlive-bin 2009-4 unstable
release texlive-base 2009-5 unstable
release texlive-extra 2009-5 unstable
release texlive-lang 2009-3 unstable

2009-12-22
  * [extra] add texlive-plain-extra replaces texlive-lang-vietnamese (<< 2008)
    for replacement of tex/plain/plnfss/MIKmathf.tex
  * [extra] texlive-latex-extra replaces texlive-extra-utils (for vpe.pl)

2009-12-21
  * [base] remove "texlive-common conflicts tex-common (<< 2.0) to make 
    upgrades more smooth with cupt
  * [base] texlive-pictures: fix typo in xyframe.tex (patch from Andrey
    Paramonov) (Closes: #561784)
  * [bin] fix the etex chaos
  * [bin] include a fix for segfaults in mpost (Closes: #561500)
  * [extra] texlive-formats-extra depends texlive-latex-base since
    it needs bplain.tex (Closes: #561882)
  * [bin] take over forgotten patch from TL2007 for building on i386-hurd.
    The patches are now icu-xetex_hurd.diff and detex-hurd.diff
    (patches thanks to Samuel Thibault as already in TL2007, and
    thanks for Hilmar for tracking that down) (Closes: #560800)
  * [base] add code to texlive-base.preinst to disable offending lines
    that have been taken over from texlive-base-bin in oldstable and
    causing fmtutil to die with "infinite recursion detected".
    (Closes: #557091)

2009-12-20
  * [bin] resurrect etex which was lost (Closes: #561768)
  * [base] add texlive-base conflicts dvipdfmx (Closes: #561728)
  * [base] texlive-pictures: add symlinks for cachepic, fig4latex
  * [extra] texlive-extra-utils: add symlinks for listings-ext, findhyph, 
    texdiff, rpdfcrop
  * [lang] texlive-lang-greek: add symlink for mkgrkindex
  * [base] add NEWS for texlive-common on font cache handling (Closes: #561352)

2009-12-15
  * [base] ship dvipdfmx.cfg file
    patch dvipdfm (config) and dvipdfmx (dvipdfmx.cfg) config files to
    use gs instead of rungs. (Closes: #561151)

release texlive-base 2009-4 unstable
release texlive-bin 2009-3 unstable
release texlive-doc 2009-2 unstable
release texlive-extra 2009-4 unstable
release texlive-lang 2009-2 unstable

2009-12-05
  * [base] bump dep on luatex version to first working 0.46.0-5

2009-11-30

  * bump depends and add conflicts on luatex, but that doesn't solve
    the diversions problem. Needs fixing.

release texlive-base 2009-3
release texlive-extra 2009-3

2009-11-29
  * [base] remove transition code (hopefully really closes #557091) (fk)
  * [base] bump luatex replace to << 0.45.0 to really get files replaced
    (Closes: #557086)
  
2009-11-25
  * [extra] package latexmk, it is packaged separately (Closes: #557855)

release texlive-base 2009-2
release texlive-bin 2009-2
release texlive-extra 2009-2

2009-11-21
  * [bin] add replace texlive-extra-utils (<< 2008) for dvi* (reported in 
    bug #557086)
  * [base] fix typo in tpm2deb.cfg, let texlive-common conflict with
    texlive-base-bin instead of tex-base-bin (hopefully that is closing
    bug #557091, but that needs testing)

2009-11-19
  * [extra] blacklist purifyeps, it is packaged separately (Closes: #557018)
  * [base] texlive-base: bump dep on luatex to 0.44.0, and add a replace 
    luatex (<= 0.40.6) since dviluatex moved (Closes: #557086)

release texlive-base 2009-1
release texlive-bin 2009-1
release texlive-doc 2009-1
release texlive-lang 2009-1
release texlive-extra 2009-1

2009-11-12
  * building all packages a new, fixing lintian errors

2009-10-15
  * re-add the dependencies on dvipng, lcdf-typetools and tex4ht that had
    been removed for testing. No other changes needed [fk]
    
2009-10-15
  * add luatexiniconfig.tex to texlive-base via .root mechanism
    (it must be in base because there it is where the luatex format is built!)

2009-10-12

  * add dependency texlive-xetex -> texlive-latex-base to get the 
    xelatex format working

2009-10-08
  * Much work, no idea what
  * include the fix to fix-manpages.sh from Ubuntu

2009-09-23
  * Don't install the /usr/bin/vpe symlink in texlive-binaries, script and
    symlink are in texlive-latex-extra

2009-09-20
  * Remove amstex symlink from texlive-binaries. The manpage stays there,
    however, since it's missing in tl-math-extra.
  * Remove manual install of fragmaster in tl-extra-utils

2009-09-18
  * remove
    texlive-extra/debian/texlive-formats-extra.root/ \
    usr/share/texmf-texlive/tex/latex/latexconfig/mllatex.ini
    (once needed for cooperation with teTeX). The blacklist in
    texlive-base has been removed a while ago. [fk]
  * For testing TL2009, remove texlive-full's dependencies on
    lcdf-typetools, dvipng and tex4ht for the moment.
  
2009-08-11
  * tpm2deb.cfg: Add additional conflicts to force the upgrade in a bunch;
    this is just a try.

2009-08-10
  * tpm2deb.cfg, lang: collection-langarabIC (the IC is new), rename our
    texlive-lang-arab to texlive-lang-arabic and add 
    provide/replace/conflict. [np]

2009-08-09
  * Add Conflicts/Replaces/Provides: tl-base-bin to texlive-binaries, only
    Conflicts for those packages who contain file formerly in
    tl-base-bin. [fk]
  * Remove all traces of libkpathsea4 from tpm2deb.cfg; it's all in
    texlive-bin which doesn't use this config file.
  
2009-06-27
  * rules.in (& texlive-bin/debian/rules): use /usr/share/quilt/quilt.make
    provided by quilt and remove patch-stamp & unpatch targets

2009-06-24

  * allow
          disable_format;binpackage;formatname
    in tpm2deb.cfg, disable lualatex and pdflualatex format in 
    texlive-latex-base

2009-06-21

  * simplify rules.in since texlive-bin is not built anymore from rules.in
  * call dh_installtex without the format:nolinks to create format
    links at build time, and remove the links from the *.install files
    in the texlive-bin directory
  * remove the binaries-that-are-symlinks from the texlive-bin packages
    and create them in the other packages with $pkg.links.dist

2009-05-10

  * [all] bump tex-common build-dep to >= 2.00, we need the new 
    support for language.def

2009-03-10

  * [all] bump tex-common build-dep on >= 1.14
  * [bin] drop three recommends to suggests:
    - texlive-extra-utils -> dvi2tty: dvi2tty is not in testing
    - texlive-extra-utils -> dvidvi: added feature, no direct need
    - texlive-base-bin -> perl-tk: we give an error message on texdoctk if
      perl-tk is missing

branch-off point for TL2008 packaging

2008-08-02

  * all: remove the termencoding and encoding variables in the vim strings

release texlive-extra 2007.dfsg.3-2
release texlive-base 2007.dfsg.1-3
release texlive-lang 2007.dfsg.3-3

2008-07-22

  * [extra] fix g-brief redefinition of \Telefon (closes: #423919)
  * [extra] fix g-brief empty unterschrift bug (closes: #154266, #407968)

2008-07-11

  * [extra] fix location of proba doc files (Closes: #490282) [np]

release texlive-extra 2007.dfsg.3-1

2008-07-09

  * [extra] remove alternative dependencies on tetex-extra from 
    texlive-latex-extra

2008-07-06

  * [base] fix dangling symlink of README.Debian-source to README.source
    in texlive-common (Closes: #489342) [np]

2008-07-03

  * [extra] blacklist oesch which cannot be modified, needs new .orig.tar
    (Closes: #489689) [np]

release texlive-doc 2007.dfsg.1-1
release texlive-bin 2007.dfsg.2-3

2008-06-26

  * [bin] add roadmap.fig to fontinst (patch add-missing-fontinst-source)
    (Closes: #482915) (urgency medium, RC bug) [np]

release texlive-base 2007.dfsg.1-2
release texlive-bin 2007.dfsg.2-2

2008-06-25

  * [doc] blacklist catalogue.tpm, the source is not present and in addition
    not completely free. So we drop the Catalogue, as it is also dropped
    upstream for TL2008. (Closes: #487149) [np]
  * [base] fix texlive-base.postinst(.pre) to actually add the comment and not
    echo it to stderr, thanks Julien Cristau for the patch (Closes: #487947)
  * [bin] do not install fmtutil.cnf in texmf-texlive/web2c (Closes: #488035)
  * [bin] use the local keyword in a policy-compliant way (rebuild packages
    with fix from 2008-06-23) (Closes: #488023)

release texlive-base 2007.dfsg.1-1

2008-06-23
  * [common.functions.preinst] use the local keyword in a policy-compliant
    way [fk]

2008-06-23
  * [extra] add texlive-pstricks recommends texlive-extra-utils for pdfcrop
    (recommends because pdf is getting more and more over)
    (Closes Ubuntu Bug 145407) [np]
  * [base] tetex-extra depends on texlive now, not on tetex-bin, lintian
    error
  * [base] fix spelling in descriptions of the metapackages

release texlive-bin 2007.dfsg.2-1

2008-06-12
  * [base] activate eps-inclusion code in xetex.def (Closes: #485071) [np]
  * [all] add Homepage field to the control file [np]
  * [all] rename README.Debian-source to README.source, and add change the
    information therein to refer to the trunk/README file and the quilt
    README.source. [np]
  * [all] bump policy to 3.8.0 [np]
  * [all] add a patch target to rules.in [np]
  * [all] add dversionmangle to debian/watch file to ignore the .dfsg.NN suffix
    and add pasv option

2008-06-11
  * [base] blacklist proba.sty in texlive-latex-base (Closes: #483282) [np]
  * [extra] add the new proba package (src, doc, run files) from CTAN.
    This is done to comply with what has been done upstream by adding 
    the proba package to collection-mathextra. [np]
  * [bin] include sfd files necessary for other packages, but removed from
    the archive with the imminent removal of freetype1-tools. That needs
    a new .orig.tar.gz [np]
  * [base] add EPS support for xelatex by including an updated xetex.def
    (patch added, not activated, would close the bug #485071, waiting
    for Jonathans remark) [np]

2008-06-07
  * [common.functions.preinst] make $package a local variable in the
    check_move shell function (fixes one half of #483833) [fk]
  * [bin] correct invocation of dpkg_md5sum in tl-base-bin.preinst.pre,
    fixes the second half of #484833 [fk]
  * [bin] Add Replaces: texlive-context for tl-metapost (supp-mis.tex
    moved) [fk]

release texlive-bin 2007.dfsg.1-4

2008-06-01
  * [bin] use gcc/g++-4.2 on armel to fix FTBFS (closes: #483939) [np]
    that adds aditional build-dep for texlive-bin and adds code to rules.in

2008-05-28
  * [bin] add a missing line to the tl2007.2 xetex patch,
    taken from upstream [np]
  * [bin] add a patch to xdvipdfmx to re-allow inclusion of tagged pdf images
    (Closes: #483019) (big thanks to Jonathan Kew for tracking all this down)
  * [bin] do not install xdvizilla(.1) (Closes: #477160) [np]

2008-05-19
  * [bin] add mktexlsr-ignore-more-vcs patch that makes mktexlsr ignore not
    only .svn, but also other VCS directories. Patch taken from upstream
    (Closes: #481371) [np]

2008-05-13
  * [extra] let texlive-pstricks recommend texlive-extra-utils and ps2eps 
    since the included pdftricks packages needs them (Closes: #473791) [np]

release texlive-extra 2007.dfsg.2-1

2008-05-09
  * [extra] blacklist tpm/camel as it is nosell, thus we need a new
    .orig.tar.gz (Closes: #479832)
  * [extra] add a license statement from Robert Gilles about the bbm fonts to
    Licenses file (Closes: #479097)
  * [extra] add a license statement from Michael Nüsken about the
    computational-complexity packages to the Licenses file (Closes: #477152)
  * [base] blacklist documentation files for eepic since license statement
    is missing. That closes another part of bug #356853.
    This makes a new .orig.tar.gz necessary

release texlive-bin 2007.dfsg.1-3
release texlive-base 2007-14
release texlive-extra 2007.dfsg.1-2
release texlive-lang 2007.dfsg.3-2
release texlive-doc 2007-4

2008-04-25
  * [extra] update everypage from CTAN to fix serious error (Closes: #477794)

2008-04-20
  * [bin] texlive-extra-utils now recommends ghostscript (Closes: #476954) [np]
  * [bin] fix skipping of all trees in mktexlsr with empty $HOME
    (Closes: #473548)
  * [bin] add a patch for Sinhala support by Anuradha Ratnaweera 
    <anuradha@taprobane.org>, but keep it disabled until Jonathan gives me
    the ok. This would close the bug #476957.

2008-04-19
  * [all] include the lppl.txt literally in the copyright file
    (greating to all those who enjoy reading a LONG copyright file)

2008-04-18
  * [bin] add dviconcat.1 and dviselect.1 to texlive-bin/texmf/doc/man/man1,
    they were blacklisted when building the .orig.tar.gz and we include
    these bin/man now [np]
  * [all] fix some lintian errors, many more to do.
  * [bin] TeX Live 2007.2 release incorporation: fixes for xetex and xdvipdfmx,
    new patches tl2007.2-xetex and tl2007.2-xdvipdfmx
    (adapted from Jonathan Kew's original patches to work with poppler) [np]

2008-03-20
  * [bin] fix perl warning in thumbpdf (patch: fix-thumbpdf-perlwarning)
    (Closes: #469294) [np]
  * [bin] * fix a segfault in ovp2ovf (patch: fix-ovp2ovf-segfault)
    (Closes: #470433)
  * [all] Clarify the location of lppl.txt (Closes: #470479)
  * [doc] fix the spelling of the gentle description (Closes: #469931)

2008-02-21
  * [bin] add copies of supp-pdf.tex and supp-mis.tex from context 2008-01-28
    to texlive-metapost so inclusion of metapost images in pdf(la)tex does
    work without installation of context (Closes: #465107) [np]

2008-02-20
  * [base] add a fancyheadings placeholder calling fancyhdr (Closes Ubuntu 
    bug 132399) [np]

2008-02-09
  * [extra] let -formats-extra replace -latex-base (<= 2007-10) to make
    smooth upgrades in Ubuntu (gutsy->hardy) possible (Closes Ubuntu 
    bug 188910) [np]

2008-02-08
  * [extra] add pbox.pdf to texlive-latex-extra-doc (Closes: #464219) [np]
  * [lang] texlive-lang-cyrillic suggests scalable-cyrfonts-tex
    (email from Ralf) (Closes: #459539) [np]

2008-02-03
  * [all] add a dependeny for all splitted docpks on texlive-common
    ($version) (closes: #457270) [fk]

2008-01-26
  * [bin] texlive-xetex depends on texlive-latex-base (Closes: #462610)

2008-01-22
  * [base] add a patch fix-txfonts-precapprox to switch the symbols 
    \precapprox and \succapprox in txfonts.sty (Closes Ubuntu bug 184065) [np]

2008-01-16
  * [base] fix a small bug in booktabs.sty by updating it to the version
    on CTAN (Closes: #460878) [np]

2008-01-15
  * [bin] include dviconcat and dviutils (orphaned package dviutils/seetex)
    and provide/replace/conflict with dviutils (extra-utils) [np]

2007-12-31
  * [base] make texlive-latex-recommended provide latex-ucs-uninames,
    latex-ucs, latex-ucs-contrib as these Debian packages have been given
    up for adoption [np]

2007-12-21
  * [all] bump standards version to 3.7.3, no changes needed [np]
  * [all] add texlive-common dependency to the -doc splitted packages,
    otherwise configuration can fail due to missing update-updmap etc
    (Closes: #457270) (Closes Ubuntu bug: 177674) [np]

2007-12-05
  * [base,extra] replace gs-* alternatives with ghostscript [np]

2007-11-29
  * [bin] add a patch for metapost 1.02 (from upstream svn), but leave it
    deactivated [np]
  * (really?) fix the watch file (Closes: #449621), thanks Raphael Geissert

2007-11-28
  * [base] improve the comments about english hyphenation/language0 in 
    language.dat, from DEK on tex-k [np]
      
2007-11-26
  * [bin] improve manpage of patgen (Closes: #450875) [np]

release texlive-bin 2007.dfsg.1-2 unstable

2007-11-17
  * [bin] switch to libpoppler >= 0.5.9 since unstable has now 0.6.2
    (Closes: #451588) [np] (also adjust build deps)
  * [base] do not install tex/latex/jknapltx/ubbold.fd, it break the bbold
    fonts (Closes: #449221). Thanks and sorry Ralf for ignoring you so long!

2007-11-15
  * [base] close the latin.ldf bug (Closes: #451295) [np]

2007-11-13
  * [extra] update via.cls from CTAN to fix misbehaviour (Closes: #429150) [np]
  * [all] add instructions how to generate .orig.tar.gz files to
    all/debian/README.Debian-source, and extend the trunk/README file [np]
  * change watch file to use the tug.org ftp server
  * [extra] fix skak.sty for usage with skaknew's uskak.fd (the only one
    present) (Closes: #439709) [np]

2007-11-11
  * [extra] include simplecv to make lyx happy (Closes: #449983) [np]

2007-11-07
  * [all] change watch file to point to cstug server, update changelogs
    closing respective bugs

2007-10-30
  * [base] fix latin.ldf with the version from CTAN 
    (closes Ubuntu bug #157709) [np]

release texlive-bin 2007.dfsg.1-1 unstable
release texlive-base 2007-13 unstable
release texlive-extra 2007-4 unstable

2007-10-24
  * recode the NEWS files to utf8

2007-10-22
  * [bin] fix segfault of dvips -z on amd64 (patch applied upstream), thanks
    to Bastien Roucaries for finding and providing a patch (Closes: #447081)

2007-10-04
  * [bin] add a patch for metapost 1.0, but do not activate it [np]

2007-09-27
  * [extra] blacklist tableaux.tpm, new orig.tar.gz

2007-09-25
  * remove most stuff from the README.Debian file

2007-09-24
  * implement doc splitting, so that we can build separate -doc packages
    for every collection we want to [np]
    splitting is done for: (texlive-base) latex-base, latex-recommended, 
    fonts-recommended, pictures 
    (texlive-extra) latex-extra (Closes: #420574), pstricks (Closes: #442052), 
    publishers, humanities, science
    (texlive-bin) metapost
  * add patch gcc43-compile-fix to compilation of teckit with newer
    gcc compilers (Closes: #441605) (patch taken from 007-12ubuntu3,
    thanks Matthias Klose)

2007-09-15
  * put DEBHELPER tag before the post parts [fk from htmlxml]
  * return (with 0) if we don't have to create a new tarball [fk from htmlxml]

release texlive-lang 2007.dfsg.3-1 unstable

2007-09-09
  * texlive-lang: reinclude csplain, the license has been fixed.
  * add a dir orig.tar.gz-addons to the svn repository for orig.tar.gz
    building

release texlive-lang 2007.dfsg.2-1 unstable

2007-09-05
  * only blacklist the five files covered by Petr's special licence,
    not the whole csplain.tpm, since it contains t1code.tex which
    is essential
  * build new orig.tar for texlive-bin and texlive-lang
  * include the change from htmlxml branch for setting the INC path
    to /usr/share/tex-common in tpm2deb-bin.pl
  * add a NEWS file for texlive-lang-czechslovak announcing the
    removal of csplain
  * fix the syntax error for blacklisting literat and csplain stuff

2007-09-04
  * texlive-bin: disable pdftex character shifting (option G) in config.pdf
    (Closes: #434891) [np]
  * all: retitle all those dreadful "Macro package for TeX" title 
    (Closes: #436729)
  * texlive-extra: fix an occurrence of the @ in pubform.bib (Closes: #430438)
  * spell the path of mllatex.ini the right way, both in the tpm2deb.cfg
    and in the texlive-latex-extra.root (Closes: #430969)

release texlive-base 2007-12 unstable
release texlive-bin 2007-14 unstable

2007-09-01
  * rework the preinst resurrect code so that it is executed *only* for
    upgrades from >= 2007. Furthermore, the special code for config.ps
    is executed only for 2007-12.
  * texlive-bin: blacklist latexmp.pdf since no source is present
    (Closes: #436965)

2007-08-25
  * set LANG=C for the update-alternatives grepping, thanks Andreas Degert
    (Closes: #438551) [np]
  * blacklist literat (texlive-lang-cyrillic) (Closes: #439028) [np]
  * Add missing quotes around the sed script in
    texlive-base-bin.postinst(.pre) (Closes parts of #439205) [np]

2007-08-23
  * only try to resurrect conffiles when there is a template file present,
    i.e., only for versions of 2007 in the archive (Closes: #439205) [np]

2007-08-16
  * fix FTBFS on hurd-i386, adding patch icu-powerpc-buildfix-patch from
    Samuel Thibault (Closes: #437949) [np]

2007-08-15
  * Really move Philokalia-Regular.otf to a fonts directory [fk]

release texlive-base 2007-11 unstable
release texlive-bin 2007-13 unstable

2007-08-13
  * run the resurrect code *also* in the postinst scripts for the cases 
    where a package is in rc state with removed conf files. [np]
  * adapt the menu items to new menu policy [np]

2007-08-11
  * adjust latest-version for texlive-base to -11 and -bin to -13 so that
    we get a good combination of packages ;-) [np]
  * fix removal of old tetex files in language.d (Closes: #435812) [np]
  * use see in texdoc for displaying of all types of files (Closes: #432037) 
    [np]
  * run the resurrect code only at upgrade, not install time. At clean install
    time there is no file in /u/s/texlive-{bin,base}/... [np]

2007-08-07
  * move the code to recreate missing conffiles from postinst to preinst:
    texlive-base: modes.mf
    texlive-base-bin: pdftexconfig.tex, config.ps
    texlive-latex-base: color/graphics.cfg
    (Closes: #425803, #435156, #435081, #433889, #436235, #435719, #435081,
    #433889) [np]
    unfortunately version 2007-12 of texlive-bin ships a config.ps in
    /u/s/texlive-bin which is NOT equal to /e/texmf/dvips/config/config.ps
    in the same version. We fix this by applying a sed command that transforms
    the /u/s/texlive-bin/config.ps into the /e/texmf/d/c/config.ps of -12
    in the preinst of -13. After -13 is in testing we should remove this
    code.

2007-07-27
  * Move Philokalia-Regular.otf to a fonts directory [fk]

2007-07-24
  * copy over explanations in copyright from tetex-base's copyright.header
    [fk]
  * bump versioned dep of tl-common on tex-common [fk]
  
2007-07-03
  * [texlive-bin] add another libpoppler patch for libpoppler >= 0.5.9
    (needs control update, too). Thanks go to 
    Martin Pitt <martin.pitt@ubuntu.com> for creating this patch. Rename the
    libpoppler patches to have the respective version in the name. [np]
  * [texlive-bin] include the fixes to dvilj(k) which are included in the 
    TeX Live security branch, this adds a patch dviljk-security-fixes [np]

2007-07-02
  * [texlive-bin] update config.ps from svn (Closes: #431338) [np]
  * add lost texlive-extra-utils recommends dvidvi (thanks Lionel for
    spotting this) [np]

2007-06-29
  * [texlive-bin] update a2ping script and it's man page (Closes: #412107) [np]

2007-06-27
  * update patch for xetex from texlive svn release texlive 2007.1
    this also fixes some bugs with OTF inclusion
    actually use this patch

2007-06-25
  * fix multiple inclusion of hyphen patterns [np]
  * let texlive-xetex depend on dvipdfmx (Closes: #430373)

2007-06-22
  * include a patch for xetex from Jonathan Kew which fixes problems
    on 64bit archs, and incorrect output in certain (obscure)
    situations. The patch is NOT activated by now! [np]
    (version patch1a from 23 Jun 2007, texlive ML
    msg id <D1EBC1B5-2ADD-4972-8198-9EBE4AFA7249@sil.org>, see
    http://tug.org/pipermail/tex-live/2007-June/014110.html)

2007-06-21
  * change common.functions.preinst to use new dpkg_md5sum which
    does not grep the status file but uses dpkg_query [np]

release texlive-base 2007-10 unstable
release texlive-bin 2007-12 unstable
release texlive-lang 2007.dfsg.1-3 unstable

2007-06-20
  * many changes and fixes by Frank (thanks!)

2007-06-13
  * Change mapping directive config-copy-move to copy-move and don't
    register it as a conffile: This is only for *moved* conffiles [fk]
  * Add a remark to trunk/README about what "config file" actually means
    for mapping. [fk]
  
2007-06-11
  * Add debianize-fmtutil in /usr/share/texlive-bin, and source it in
    fmtutil. [fk]
  * Bring fmtutil(1) closer to reality in TeXLive 2007 [fk]

2007-06-10
  * Let tetex-base conflict with tetex-bin (<< 2007) to prevent its
    isolated upgrade on mixed systems (closes: #427859) [fk]

2007-06-05
  * [base] activate mathpple.map (closes: #426790) [np]
  * [base] don't call dh_installtex for meta packages (closes: #427169)
      - make a distinction between meta packages and normal packages
        in rules.in

2007-06-02
  * beautify the config.ps installation [np] (see merge-dist-tree!):
    - remove the code in rules.in
    - move config.ps from texlive-bin/debian/ to 
      texlive-bin/debian/texlive-base-bin.root/usr/share/texlive-bin
  * strip the ./debian/$pkg part in debian/all/generate-license-file [np]

2007-05-31
  * Remove the version check from the "resurrect conffile" code; purging
    tetex-base may happen any time.
  
release texlive-base 2007-8 unstable  
release texlive-bin 2007-10 unstable  
  
2007-05-30
  * IMPORTANT: Move the #DEBHELPER# string after the $maintscript.post
    snippet.  "post" now signifies that it is after the usual,
    tpm2deb-bin.pl-generated config file handling, not that it is after
    the debhelper stuff.  I need some code at this special place, and
    furthermore I think it's usually a bug in tex-common if something is
    not handled in a dh_installtex snippet, but cannot be done before it.
  * Fix the copying of conffiles to /usr/share/$sourcepkg: New directive
    "config-copy-move".
  * Add missing dep of libkpathsea-dev on libkpathsea4

2007-05-29
  * Ship modes.mf and pdftexconfig.tex in /usr/share/$sourcepackagename,
    and install it into /etc/texmf in postinst.  For the time being, do
    that without debconf messages and unconditionally (configure would
    fail without them, anyway). [fk]
  * Recreate tpm2liclines
  * tex-common package-status in bug.control, since "report-with" doesn't
    supply that information

2007-05-26
  * texlive-bin: don't install libkpathsea.la (Closes: #426006) [np]
  * all/texlive-bin: do not actually carry out the "preserve deleted
    conffile" due to the tetex bug and too many busted installations.
    We warn the admin to delete the file if he really wants to.
    (Closes: #425781 in texlive-bin and #425803 in texlive-base) [np]

release texlive-bin 2007-9 unstable

2007-05-24
  * Use --enable-shared=default in order to not try it in the
    subdirectories for static-only libraries, in particular xetex's
    teckit. [fk]

2007-05-23
  * libkapthsea4 is of section libs, libkpathsea-dev of libdevel, add
    infrastructure to override single bin package sections (bin-section) [np]

release texlive-base 2007-7 unstable
release texlive-bin 2007-8 unstable
release texlive-lang 2007.dfsg.1-2 unstable

2007-05-23
  * Let tl-generic-recommended declare Replaces: tl-base because of
    cmyk-hax.tex [fk]
  
2007-05-22
  * in the abort-upgrade case in texlive-base-bin's postrm, we cannot
    assume that xdvi.cfg does exist at the new place: Make code
    conditional [fk]

2007-05-22
  * add texlive-base-bin replaces texlive-pdfetex

2007-05-21
  * texlive-common conflicts with all package revisions of all packages 
    << latest-revision as set in tpm2deb.cfg.
  * big format move:
    - move (partly fixed) format.{tex,pdftex,etex,metafont} to texlive-base
      and edit format.latex.cnf in texlive-base. Fixes done:
      . add pdfetex to format.etex.cnf
      . add latex to format.latex.cnf
      . remove those two from format.pdftex.cnf
      . take unchanged format.tex.cnf
    - BuildFormat executes moves:
      . remove call in texlive-bin/bin-{tex,pdftex,etex,metafont}.tpm
      . add call {tex,pdftex,etex} to plain.tpm (and thus to texlive-base)
      . add call metafont to metafont.tpm (and thus to texlive-base)
    - missing: should we take over fmt.d/10texlive-base-bin.cnf? I prefer
      to leave it there and don't do anything. After we have this version
      without a conf file we can add code for the upgrade from 2005.
  * as a consequence of the format move some cleaning actions:
    - remove /usr/bin/mf -> mf-nowin as generated from dh_installtex in
      texlive-base rules, mf is shipped by texlive-base-bin
    - remove also /usr/bin/{pdf,}etex in texlive-base rules, and create
      them via dh_link in texlive-base-bin

2007-05-20
  * texlive-base: rename (and not remove) old obsolete config files from tetex
    (Closes: #425256)
  * texlive-base: don't call tetex-bin-upgrade (Closes: #425270)
  * texlive-bin: update 64_fix_makempx_installation to upstream fix
  * texlive-extra: move bigfoot from tl-humanities to tl-latex-extra 
    (upstream move, too) (Closes: #420394)
  * common.functions.preinst: rework the xdvi conf file handling code
    to not "preserve removal" when upgrading from older texlive versions
    (Closes: #425272)

2007-05-19
  * add stricter dependencies to all packages: if in the final shipout
    dep on a texlive package there is no version given, the value of
    latest-version (from tpm2deb.cfg) of the source package is taken.
    (texlive-bin: Closes: #421969) (texlive-lang: Closes: #423143)
  * texlive-bin: remove cruft from control files (cweb, ctie, texdoctk)
    (Closes: #241089, #249085)
  * don't leave copies of conffiles in TEXMFDIST (Closes: #420139)
  * texlive-bin: add poppler to the pdftex banner (Closes: #420971)
  * texlive-bin: texlive-lang-indic needs depends on python
  * update/add some patches for the invocation fixes, they patched the
    wrong files
  * add lintian source override for 
    maintainer-script-lacks-debhelper-token debian/common.functions.*
  * add lintian override for
    tetex-base: maintainer-script-needs-depends-on-ucf postinst
    we check with -x /usr/bin/ucf
  * texlive-bin: add build-dep on chrpath, and remove the rpath entry
    in the binaries
  * texlive-bin: remove link /u/s/d/libkpathsea-dev -> libkpathsea4
    as shipped in packages <= 3.something
  * texlive-bin: add patch 64_fix_makempx_installation to fix the installation
    of makempx script instead of the binary (thanks Sanjoy Mahajan)

2007-05-18
  * Output the list of files in /etc/texmf/web2c in the bug.script

2007-05-17
  * shlibs magic, thanks Florent
  * add new poppler patch: 30_libpoppler_new, the old is still present
    for backports, this also adds a versioned build dep for
    libpoppler-dev (>= 0.5.4) to texlive-bin
  * texlive-extra-utils suggests gs-* for epstopdf (Closes: #423988)

2007-05-16
  * texlive-bin: dpkg_md5sum in common-functions.preinst returns now
    the empty string in case of an unknown conffile (could have been
    created by touch). This should fix Ubuntu bug 111654. [np]
    Serious testing whether nothing else is broken should be done.
  * merge manually the changes from the libkpathsea branch back [np,fk]
    - change rules.in to build libkpathsea4 and -dev, and add the necessary
      control files [fk]
    - add texlive-bin/debian/libkpathsea4.install, 
      texlive-bin/debian/libkpathsea-dev.README.Debian, and
      texlive-bin/debian/libkpathsea-dev.install
    - adjust tpm2deb.cfg to build the new packages from texlive-bin
  * Change the code that drops meta- and transitional packages from
    texlive-full's dependencies so that the list of unwanted packages is
    in the config file [fk]
  * Consistently output error messages of perl scripts to STDERR [fk]
  * move bin-thumbpdf to texlive-base-bin (upstream done, too) 
    (Closes: #424658) [np]

2007-05-15
  * texlive-bin: move bangfont.tex from doc to run files (Closes: #424031)
  * texlive-bin: add missing python header to ebong script (Closes: #423990)

2007-05-14
  * texlive-base: texlive-full should not depend on tetex-base 
    (Closes: #424023) [np] (We should move the code from tpm2debcommon.pm
    to the config file... but I am too lazy for now)

release texlive-base 2007-6 unstable
release texlive-doc 2007-3 unstable

2007-05-14
  * texlive-base: make the conflict with ivritex versioned (Closes: #423718)
  * tetex-base replaces tetex-extra << 2007, since teTeX3-extra ships a
    lintian override file for tetex-base (Closes: #423520) [np]
  * texlive-doc-zh replaces/conflicts texlive-doc-ch ...

release texlive-bin 2007-7 unstable

2007-05-07
  * rename texlive-doc-cn to texlive-doc-zh, sorry all for the chaos [np]
    (needs new texlive-base and -lang packages)
  * fix typo in postinst scripts update-alternative(s) (Closes: #422929)

release texlive-bin 2007-6 unstable

2007-05-03
  * texlive-bin: add a "changed by debianize-updmap" comment to
    syncWithTrees' definition, and divert "--edit" [fk]

2007-05-03
  * texlive-bin: move the debianize-updmap call in updmap after the
    syncWithTrees function so that this function is also debianized.
    (Closes: #421184)
  * texlive-bin: apply teTeX texdoctk.defaults patch to get texdoctk
    to use the right programs (Closes: #421633)
  * all: add call to dh_installmenu to rules.in
  * texlive-bin: add menu entry of xdvi, texdoctk, texconfig (Closes: #421634)
  * all: update README.Debian-source to point to the svn repository and
    the contained README file
  * [base] blacklist intermediate files in mathpazo doc (Closes: #421620)
  * all: fix bug.script
  * lang: add jerus10 to tl-lang-herbrew to fix hebrew typesetting
  * base: backport koma-script r288 to fix the use of \usekomafont in all
    koma-script classes (Closes: #421079)
  * doc: rename texlive-doc-ch to texlive-doc-cn, stupid me [np]

2007-04-28
  * texlive-bin: patch updmap so that the help text at map file not found
    error does not mention --syncwithtree etc, but refers to updmap.d
    and update-updmap

2007-04-25
  * texlive-bin: reworked alternative code for removal of old tetex 
    settings [np]
  * create tetex-base

release texlive-bin 2007-5 unstable

2007-04-17
  * fix config file handling (Closes: #419826) [np]
    - fix a bug in tpm2deb-bin.pl which prevented any config file handling
    - fix another bug in tpm2deb-bin.pl which didn't install the config
      file handling in the postrm script

release texlive-bin 2007-4 unstable
release texlive-base 2007-4 unstable
release texlive-lang 2007.dfsg.1-1 unstable

2007-04-16
  * Add patch 31_pdftex_gcc_ICE-on-alpha to work around a bug in newer
    gcc, thanks to Falk Hueffner <falk@debian.org> (closes: #419434) [fk]
  * create meta packages texlive-lang-all in texlive-lang, thanks to
    Frans Pop for the suggestion. [np]
  * texlive does not longer depend on context [np]
  * we build texlive-lang-arab, this needs a new .orig.tar.gz as we have
    to include the respective files there. [np]
  * Since we take over xdvi from tetex-bin, we remove its xdvi alternative
    in case it is present (closes: #419381) [fk]
  * Remove any format or log files in /var/lib/texmf/web2c, they must be
    in $engine subdirs now.  teTeX does not properly remove them, and
    they cause strange failures with context (see #419059 and #418976) [fk]
  * add code to the bug.script to give the md5sums of all the files in
    /etc/texmf/texmf.d [np]
  * add update tests from etch in tests/etch-test-*
  * [tl-bin] Add patch 62_dvips_absolutepath_doc to document the change in
    dvips' file inclusion behavior in config.ps (closes: #418788)

release texlive-bin 2007-3 unstable
release texlive-base 2007-3 unstable
release texlive-extra 2007-3 unstable
release texlive-lang 2007-3 unstable

2007-04-14
  * undo the fix of friday 13, thanks to debhelper bug #419060, this fixes
    several texlive bugs
  * bump tex-common build-deps to 1.7

2007-04-13
  * fix the ordering of auto scripts:
    - bump build-dep on tex-common to 1.6 for fixed auto scripts
    - bump build-dep on debhelper to >= 5.0.44 for the 
    (thanks to Loïc Minier for the hint!)

2007-04-12
  * disable the texmf.cnf check which was run by default, this can only be
    done manually (because each upload of tex-common with changed files
    would make tl-bin FTBFS) [fk]
  
release texlive-bin 2007-2 unstable
release texlive-base 2007-2 unstable
release texlive-extra 2007-2 unstable
release texlive-doc 2007-2 unstable
release texlive-lang 2007-2 unstable

2007-04-10
  * texlive-bin: Fix missing build dependency on tex-common >= 1.3, thanks
    to Yannick Roehlly for spotting this.
  * call dh_compress with -X.pdf so that pdf files are not compressed

2007-04-06
  * texlive-bin: drop updated collection-binextra.tpm and bin-dvipos.tpm
    into the source package to solve the missing dvipos problem.

2007-04-05
  * texlive-bin: replace links of odvicopy.1 and odvitype.1 to the respective
    man pages without o with a minimal manpage (Closes: #417274) [np]

  * fix installation of info pages, we should believe perl if it tells us
    Variable "@SpecialActions" will not stay shared at 
    debian/tpm2deb-bin.pl line 343. [np]

  * big do_remap_and_copy restructuring: the final component now is 
    unified for all mapping directives: either relative file names (in this
    case /usr/share/texmf-texlive is prepended), or absolute file names.
    Needs loads of testing. Furthermore, the sub-directives names have
    changed (remap -> move). Proper documentation added in trunk/README [np]

2007-03-23
  * texlive-bin: fix config file move logic for xdvi.cfg (Closes: #415906) [np]
  * really move nag.sty [np]

release texlive-bin 2007-1
release texlive-base 2007-1
release texlive-extra 2007-1
release texlive-doc 2007-1
release texlive-lang 2007-1

2007-03-21
  * final changelog editing

2007-03-15
  * move nag.sty to a TEXINPUTS tree [fk] 
  * modularize the make_deb function in tpm2deb-bin.pl (ongoing work) [fk]

2007-03-14
  * Add code to take over changes from fmt.d/10texlive-pdfetex in
    texlive-base-bin. 

2007-03-12
  * Let tl-bin Build-Depend on tex-common (>= 1.2) for the handling of
    fmtutil-sys in postrm [FK]
  * Fix the "when to run" logic for conffile moves, and write them in a
    way that I actually understand them myself

2007-03-09
  * Fix conffile upgrade code: Only act with correct versions, actually
    pass the action parameter to the function, and respect conffile
    removals [FK]

2007-03-08
  * Add error-unwind code for the conffile renames [FK]

2007-03-02
  * upgrade path replaces:
    - texlive-latex-base -> texlive-base-bin << 2007 since 
      /usr/bin/pdflatex has moved
    - texlive-base-bin -> tetex-bin (<< 2007)
    - texlive-metapost -> tetex-bin (<< 2007)
  * fix forgotten config files handling

2007-03-01
  * introduce a new map sub-directive config-remap
  * remap instead of copy various files into /etc/texmf (dvips/config/config.*
    texdoctk, xdvi)
  * texdoctk.dat is not a configfile anymore
  * fix fmtutil patches referring to pdfetex as engine

2007-02-28
  * use old teTeX's xdvi perl script, add a dependency base-bin -> perl [NP]
  * create links via dh_installtex and remove the links.dist entries [NP]
  * depend on tex-common >= 1.1 to get dh_installtex with link creation [NP]

2007-02-18
  * add common.functions.preinst and include common.functions.$type in
    the make_maintainer call. We don't want to have the preinst code
    hanging around in all other maintainer scripts.
  * use dh_installtex in the rules files, thus cleaning the 
    maintainer scripts:
    - rules.in: use dh_installtex
    - tpm2deb.cfg: bump tex-common deps to >> 1.0 for the flavor
      format:build_all
    - tpm2deb-bin.pl: rewrite make_maintainer()
    - remove empty common.functions as all the functionality is taken from
      dh_installtex
  * as an interim solution, add format links to the respective binary
    packages' dh_link files [FK]


2007-02-17
  * add patch 01_tmp_configure_without_installextra which allows to skip
    running updmap-sys, fmtutil-sys, mktexlsr and most importantly
    texlinks with a configure option; add that option [FK]
  * Add explicit real packages to the build-dependencies, in addition to
    the alternative virtual packages [FK]

2007-02-16
  * fixes from the first test round
    - really blacklist ttf2pk, this is a perl regexp, not a shell wildcard,
      so we have to use .* instead of * (should be done in texlive-old!, too)
    - missing (upstream) dependency
      texlive-humanities -> texlive-latex-base
      texlive-science -> texlive-latex-base
    - add conflict texlive-common <-> texlive-chemistry as this is gone
    - mathpazo hack
      mathpazo was in math-extra <= 2005-2, in latex-recommended << 2007,
      and now in fonts-recommended, thus:
      texlive-fonts-recommended replaces texlive-math-extra (<= 2005-2)
      texlive-fonts-recommended replaces texlive-latex-recommended (<< 2007)
    - HA-prosper was moved from latex-extra to latex-recommended, thus
      add a versioned replace
    - all/debian/preinst.pre code: upgrading to tetex-bin 2007 does not 
      work as the "upgrade from experimental versions" breakage kicks in.
      check for upgrade from version 2005 <= version <= 2005-2
      so that tetex-bin 3.0-something is not hit

2007-02-15
  * update dvipdfm patch [NP]

2007-02-14
  * Another mapping directive "copy" which is like config-copy (see
    below) but does not create any maintainer scripts entries. [NP]
  * Adapt tpm2deb.cfg that new config files are just "config" [NP]
  * add preliminary config file handling, no unroll treatment by now [NP]
  * fix texlive-bin build breakage, we patch the Build script now [NP]

2007-02-13
  * Expand infrastructure to allow automatic generation of preinst
    code for config files. Config files are marked in the tpm2deb.cfg
    via a mapping;origdist;config-{copy,link};dest directive and
    in the preinst script of the respective package a line
    	handle_config_file $configfile
    is added. Currently prefixed with a :, as the function has to be
    written [NP]
  * define the files from Frank's list as config files [NP]

2007-02-12
  * Add Replaces: for file that were in tl-latex-extra in TL 2005 and
    are now in individual collections [FK, probably earlier unnoted
    changes by NP]
  * Use separate configure and build targets in tl-bin's rules and
    Build.debian, for easier work with the sources [FK]
  
2007-02-08
  * add new remapping type "configfile" which is copied to the last
    argument as base path and remains where it should be. [NP]
  * conflict with texlive-pdfetex, and add necessary replaces

2007-02-06
  * TL2007 work [NP]
    - collection-chemistry is gone, superseeded by collection-science
      do not build texlive-chemistry and let tl-science replace tl-chemistry
    - add replaces: texlive-humanities and tl-science -> tl-latex-extra

2007-01-25
  * more internal restructuring [NP]

2007-01-22
  * lots of internal changes to the Perl scripts, mainly cleanup, more
    descriptive names, and debugging handling [FK]
  * Add Tpm.pm and FileUtils.pm from TL 2007 [FK]
  * Switch texlive-base and texlive-bin to quilt 
  * Do not install rules.in in the binary package, it not used and hence
    is confusing. 
  * Switch texlive-lang, texlive-doc to quilt [NP]
  * include quilt call only for packages with patches [NP]
  * update tpm.data to the data of TL2007

2007-01-11
  * all: change the build infrastructure so that short and long
	description of add-on packages can be specified in the
	configuration file [FK]
  * all: add a versioned build-dep on findutils, sarge's doesn't
	understand the -wholename option.  Should be dropped when etch is
	released, nobody is going to want to make backports for
	oldstable. [FK}
  * no texlive-context anymore, replace it with Debian context package
	
2007-01-11
  * texlive-base: blacklist siam as it is non-free, thus new upstream 
    (Closes: #406426) [NP]

2007-01-08
  * texlive-base: create transitional packages tetex-bin and tetex-extra [FK]

release texlive-bin 2005.dfsg.2-10

2007-01-11
  * build -10 from the old repository layout. The old layout will continue
    for etch support.

release texlive-bin 2005.dfsg.2-9

2007-01-04
  * texlive-bin: Apply a patch by "Mark A. Wicks" <mwicks@kettering.edu> to 
    fix a crash of dvipdfm in half-hour timezones (Closes: #403267)

2007-01-02
  * texlive-bin: Apply patch by Julian Gilbey <jdg@debian.org> to prevent 
    mktexlsr from creating ls-R in root's home directory (closes: #402925)

release texlive-bin 2005.dfsg.2-8
release texlive-base 2005.dfsg.2-5
release texlive-extra 2005.dfsg.2-4

2006-12-28
  * move to new repository layout, documentation has to be written for it
 
2006-12-18
  * texlive-bin: reinclude pslatex script and its manpage into
    texlive-base-bin. [NP]

2006-12-15
  * all: move the dpatch stuff to addons-per-source/$package/debian/patches

2006-12-14
  * texlive-extra: remap infix-RPN.tex and .sty from the doc hieracy to 
    texmf-texlive (Closes: #402987) (closes Ubuntu bug #69690)
  * texlive-bin: move bin-ttfutils to tl-font-utils, blacklist everything
    but ttf2afm, add bin-ttfutils.tpm and ttf2afm.1 to the source
    package (Closes: #402983) (Closes ubuntu #75545)
  * all: restructure the layout of addons-per-source, it is now one directory
    per source plus one for all, which is cp -a to the source package
    at source package build time. This way we can include files missing
    in the .orig.tar.gz without making a new .orig.tar.gz. This was necessary
    to fix the above as bin-ttfutils.tpm was missing.
    Note that binary files are NOT dealt with ATM, so do NOT install
    binary files into addons-per-source/ !!
  * redo a bit of documentation in the README file

release texlive-bin 2005.dfsg.2-7

2006-12-12
  * texlive-bin: fix the wrong texdoctk patch [NP]
  * texlive-bin: include xdvi upstream fix for segfault on hitting g with
    -nogrey (Closes: #369569)

2006-12-09
  * texlive-extra: downgrade the relation from fonts-extra to cm-super from
    depends to suggests. Default would be recommends, but a suggests is
    enough. (Closes: #399064) [NP]
  * Add the ability to define additional execute statements in the config
    file [NP]
  * texlive-extra: add the missing dstroke.map, and add the addMap action
    to the config file (Closes: #400780) [NP]
  * tpm2deb.pl/texlive-base: Don't add mktexlsr calls to the postinst/postrm
    script of texlive package, as it does not contain 'real' files
    (Closes: #400369) [NP]
  * texlive-bin: change shebang for getnonfreefonts to /bin/bash
    (Closes: #398112) [NP]
  * texlive-base: add an updated dcpic.sty to texlive-pictures (Closes: #388653)
  * texlive-extra: activate ugq.map (Closes: #374351)

2006-12-08
  * texlive-bin: Final polish of changelog
  
release texlive-bin 2005.dfsg.2-6
  
2006-12-06
  * texlive-bin: Apply patch (from teTeX) to allow texdoctk to work when 
    both TEXMFDIST directories are populated (#400058) [FK]

2006-12-02
  * texlive-bin: Apply pdftex patch that allows to use large cjk fonts 
    (see tetex's bug #399897) [FK]

2006-12-01

release texlive-bin 2005.dfsg.2-5
  
  * Add Conflicts of tl-omega on the aleph package (#400930) [FK]

2006-11-28
  * in addons-per-source/all.watch, change extension of CD image from bz2
    to zip to match CTAN naming [FK]

release texlive-bin 2005.dfsg.2-4
    
2006-11-28
  * texlive-bin: Blacklist feynmf, the separate package will soon work
    with texlive; instead let tl-metapost recommend feynmf and tl-full
    depend on it [FK] (closes: #400657)

release texlive-base 2005.dfsg.2-4
release texlive-bin 2005.dfsg.2-3
release texlive-extra 2005.dfsg.2-3
release texlive-lang 2005.dfsg.2-2

2006-11-09
  * texlive-bin: don't provide dvipdfm, it messes up sbuild

2006-11-08
  * all: fix inclusion of packages descriptions when they are actually
    blacklisted (thanks Frank) (Closes: #397589)

2006-11-07
  * all: fix a stupid error in the is_blacklist logic, which blacklisted
    packages which aren't blacklisted at all (Closes: #397324)

2006-11-04
  * texlive-base: add the forgotten ltxtable.sty to texlive-latex-base 
    (Closes: #396965) [NP]
  * texlive-bin: extend texconfig man page and include some fixes from 
    teTeX (Closes: #396904) [NP,FK]

2006-10-30
  * texlive-bin: include fixes for superficially linked in libs [NP]

release texlive-base 2005.dfsg.2-3

2006-10-26
  * alternative dependencies for teTeX changed to tetex-bin to get
    mktexlsr (Closes: #395270)
  * texlive-base: upgrade prosper relation back to recommends in
    tl-latex-recommended as we have an updated package now.
  * adjust version numbers in the relation to jadetex, xmltex, passivetex

2006-10-20
  * Add a default for $opt_master in tpm2deb.pl setting it to ./LocalTPM,
    this way we don't need a TeX Live 2005 Master when rebuilding only
    a new Debian revision.
  * Add a default for $oldsrcdir in tpm2deb.pl setting it to ./src, search
    first for the .orig.tar.gz in ., then in $oldsrcdir.

release texlive-base 2005.dfsg.2-2
release texlive-bin 2005.dfsg.2-2
release texlive-extra 2005.dfsg.2-2

2006-10-19
  * texlive-bin: include patch for pdfetex to support newer TTF fonts
    (Closes: #394028) [NP]

2006-10-18
  * texlive-bin: adjust built-in search paths of libkpathsea to the 
    Debian defaults (Closes: #392641) [NP]

2006-10-16
  * Fix the description of MetaFont, this should be done upstream, too -
    but where is it taken from? [FK]
  * texlive now only suggests texlive-doc-en, not depends (Closes: #392517)
 
2006-10-14 NP
  * texlive-base: add versioned dependencies on all texlive packages
    for texlive-full. Latest version must be configure in tpm2deb.cfg.

2006-10-13 NP
  * texlive-bin: update the debian patch for updmap(.1) (Closes: #393189)

2006-10-12 NP
  * texlive-lang: Add a depends from tl-lang-spanish on tl-latex-base as
    eshyph.tex loads cathyph.tex, which is not present in tetex packages.
    (Closes: #392474)
  * texlive-base: texlive-full now recommends 
    latex-cjk-all >= 4.6.0+cvs20060714-2
  * texlive-base: blacklist beamer, xcolor, pgf and depend on the 
    respective Debian packages (Closes: #382870, #389467)

2006-10-11 NP
  * texlive-base: move the conflict texlive-latex-extra<->latex-beamer
    to texlive-latex-recommended<->latex-beamer as the packages has
    been moved.
  * texlive-base: add a suggests texlive-latex-recommended -> tl-pictures
    to get pgf for beamer (Closes: #382870)
  * provide pgf, latex-beamer, latex-xcolor in the respective packages
  * reorganize the tpm2deb.cfg file to make it easier to find something

release texlive-base 2005.dfsg.2-1
release texlive-bin 2005.dfsg.2-1
release texlive-extra 2005.dfsg.2-1
release texlive-lang 2005.dfsg.2-1
release texlive-doc 2005.dfsg.2-1

2006-10-09 NP
  * texlive-bin: depend on tex-common >= 0.33 to get working debianize-updmap
  * texlive-base: blacklist several non-free beamer exampler files
    (Closes: #391946)

2006-10-08 NP
  * texlive-bin: Include the changes by Frank to debianize-updmap
  * texlive-bin: move bin-texdoc to tl-base-bin (Closes: #391640)
  * texlive-bin: include the already unpacked sources instead of the
    source.tar.bz2. Changes to the clean target:
    - don't remove unpack-stamp
    - don't remove the whole build dir, only build/inst and build/Work
    (Closes: #380227) (Thanks Frank for insisting!)
  * texlive-bin: Use tex-common's (>= 0.32) debianize-updmap (Closes: #391348)
  * texlive-base: call tetex-bin-upgrade from tex-common (>= 0.32) to allow
    upgrades from sarge's tetex2 (Closes: #382861) (at least we hope)

2006-10-07 FK
  * Add a Depends on ed for texlive-base-bin, updmap uses it
  
2006-10-06 NP
  * texlive-bin: use xdvi.bin in the xdvi shell script, and use alternatives
    system to set xdvi.bin to xdvi-xaw.bin (Closes: #391437)
  * extend the README in the svn repository to explain the inner workings
    in more details
  * all: extend the copyright file with statements for the copyright of
    the Debian adaptions, uses GPLv2 (no higher).

2006-10-05 NP
  * texlive-lang: provide/replace/conflict texlive-lang-african - ethiop
  * texlive-extra: add recommend texlive-latex-extra -> texlive-generic-extra
    (Closes: #390896)
  * all: move the definition of maintainers, section, uploaders, priority,
    standards to the config file. Move some provides which were hard coded
    in the perl file into the config file.
  * all: create the rules file via an eperl script, add build-dep on eperl

2006-10-03 NP
  * texlive-lang: remove the conflict with octave-forge as they don't have
    /usr/bin/mex anymore.

2006-09-29 NP
  * remove unnecessary conflicts (with blacklisting)
    - texlive-bin: tl-extra-utils <-> dviutils
      . blacklist dviconcat(.1) and dviselect(.1)
      . recommend dviutils
    - texlive-bin: tl-extra-utils <-> lacheck
      . blacklist bin-lacheck.tpm
      . recommend lacheck
  * drop unnecessary conflicts (without blacklisting)
    - texlive-extra: tl-latex-extra <-> lhs2tex
      it concerns only two old files
    - texlive-base: tl-latex-recommended <-> latex-ucs* (Closes: #388311)
    - texlive-extra: tl-games <-> tex-skak, tex-chess
  * texlive-base: change relation tl-latex-recommended/prosper from recommends
    to suggests as we cannot recommend a not available package.
    (Closes: #389195)

2006-09-28 NP
  * texlive-extra: blacklist latex/misc209/bar.sty as it has a bad license

2006-09-08 NP
  * texlive-lang: reinclude cs*, as it will be redistributable, and add
    a comment.

2006-09-06 NP
  * Change my email address to preining@debian.org in the Uploaders field

2006-09-05 NP
  * blacklist various scripts in texmf-texlive/scripts which are unnecessary
    as they are also in /usr/bin
  * texlive-lang: blacklist (bin-)cslatex, (bin-)csplain, and 
    hyphen-czechslovak as they contain undistributable parts (the former 4)
    or depends on these parts (the last one). Also add a dpatch that
    removes the lang initialisation from collection-langczechslovak.tpm

2006-09-04 NP
  * all: report bugs together with tex-common, and report status of the
    tetex packages. Fix some small things in bug.scripts.
  * texlive-lang: blacklist ntimes.sty (Closes: #366521)
  * add SHELL=/bin/bash to debian/rules
  * update tpm2licenses.txt

2006-08-31 NP
  * texlive-bin: remove magic header of a2ping, thumbpdf, and pdfcrop
  * allow for comments in the source of the lintian.override file, and 
    comment the override lines for a2ping, thumbpdf, and pdfcrop
  * texlive-base: texlive-latex-extra recommend texlive-latex-recommended
    (Closes: #385213)

2006-08-10 NP
  * add comment to the rules file that bins for all archs can be found in
    bin/i386-linux as the tpm arch is set to i386-linux
  * fix the title and description of texlive package

version 2005.dfsg.1-1 unstable Wed, 09 Aug 2006 09:57:05 +0200
	for texlive-bin, texlive-base, texlive-extra

2006-08-04 NP
  * texlive-bin: fix a typo in tpm2deb.cfg (font-util instead of font-utils)
  * texlive-base: remap esbst.tex and romanidx.tex to really fix bug #365235
  * texlive-extra: close the eulervm bug #361941 in the changelog file

2006-08-03 NP
  * texlive-bin: blacklist mktex.cnf as it conflicts with tex-common's.
  * infra: change test scripts to work with cowbuilder
  * infra: change test script to call aptitude upgrade instead of
    install $package
  * texlive-bin: rm -f the mktex.cnf file, it could already be gone.

2006-08-01 NP
  * texlive-bin: undo the undo from 22.07 to get back to 08.07.

2006-07-22 NP
  * texlive-bin: reinstall mktex.cnf conffile link, see bug #379089
  * texlive-base: add dependency tl-context -> perl-tk, libxml-parser-perl 
    for texshow to run (Closes: #378829)
  * texlive-bin: Remove the dep from texlive-base-bin on tex-common >= 0.26.

2006-07-15 NP
  * all: move several tpm packages around, as done upstream
  * all: get rid of update-link-files, it was unnecessary, dh_compress
    is intelligent enough to adjust links
  * all: get rid of some dpatches for moving tpm packages, as the move
    directive in tpm2deb.cfg is enough.
  * all: create links with script create-doc-links instead of using tpm2deb.pl
    internal add_symlink function
  * texlive-extra: add eulervm 4.0 to texlive-fonts-extra, replacing the old
    version 3.0a with missing manifest (Closes: #361941)

2006-07-13 NP
  * all: change maintainer to debian-tex-maint@lists.debian.org
  * all: first merge the dist-trees, than call the license stuff

2006-07-08 NP
  * texlive-base: move passivetex, jadetex, xmltex, latex-cjk from 
    recommends to suggests of texlive-full (Closes: #377106)
  * texlive-bin: remove fmtutil.cnf link (useless) and mktex.cnf 
    (taken from tex-common). Add a dep from texlive-base-bin on
    tex-common >= 0.26. (Closes: #376524)
  * all: use tex-commons Tpm.pm and tpm2licenses, add build-dep on 
    tex-common >= 0.23
  * all: add lintian override for wrong-name-for-upstream-changelog

2006-06-15 NP
  * separate changelog files for all source packages in addons-per-source

2006-06-13 NP
  * include fixed supp-*.tex files into texlive-context
  * include input focus fix for xdvi (upstream, tetex)
  * include a patch for dvipdfm's config file that allows proper 
    inclusion of really large Postscript files, as reported by Thomas 
    Esser and Laurent Siebenmann  on the TeXLive list.

2006-05-28 NP
  * after discussion with Ralf Stubner move fpl and mathpazo from 
    fonts-extra/math-extra to fonts-recommended (psnfss calls for), 
    and move charter from fonts-extra to fonts-recommended.
    Move some files in fpl.tpm from DocFiles to SourceFiles,
    thanks Ralf and Frank for tracking this (Closes: #366035)
    
2006-05-27 NP
  * reinstantiate texlive-lang-ukenglish, the un-freeness is not clear.
  * add a patch by Ralf Stubner to mktexnam (accepted by TE and included
    upstream) to create TEXMFVAR in mktexnam. First step to do another
    /var/cache/fonts retry.
  * fix texlive-bin build logic: patch-stamp: unpack-stamp
  * allow for additional license entries at the beginning $Pkg.Licenses.add
  * add the license statement from Donald Arseneau to relicense underscore.sty
    under LPPL license (Closes: #368902)
  * move the whole license generation stuff into the generate-license-file,
    thus uncluttering the rules file
  * make blacklist also work on the orig.tar.gz
  * move esbst.tex and romanidx.tex in the babel.tpm file into the 
    RunFiles section (Closes: #365235)
  * move fpl into texlive-latex-base as it is required by PSNFSS, also
    move some files which are actually SourceFiles into the respective
    section, thanks Ralf and Frank (see 28.05.2006)
    (also adapt the lintian.override file for new fpl overrides!)
  * move lmodern from Depends to Recommends in texlive-base
  * replace the relation directive with single directives for conflicts,
    depends, recommends, suggests, and add the replaces directive.

2006-05-24 NP
  * don't build texlive-lang-ukenglish as it is non-free
    we still have to build dfsg .orig.tar.gz files once!

2006-05-23 NP
  * texlive-extra-utils recommends perl-tk for texdoctk (Closes: #368659)

version 2005-2 unstable Thu, 11 May 2006 00:12:10 +0200

2006-05-11 NP
  * another fix for tpm2licenses to not break if there is an empty
    directory (or one only containing links!)
  * Upload to unstable sponsored by Neil McGovern <maulkin@halon.org.uk>

2006-05-10 NP
  * Build-Dep on tex-common not necessary as we include tpm2licenses
    and fixed Tpm.pm (can go away with next version when the fixes
    are in tex-common)
  * The build-dep day, finding what all is necessary for a clean build
    with tpm2licenses: libappconfig-perl, libxml-dom-perl
  * Really fix the ibycus4.map problem (Closes: #354652)
  * adjust dvipdfmx recommend version to 1:20050831-1
  * Install this file as CHANGES.packaging into texlive-common, and
    create a streamlined and terse changelog.

2006-05-09 NP
  * create new package texlive-common:
    - move the symlink /u/s/texmf-texlive/doc -> ../texlive-doc from
      texlive-base-bin to texlive-common, and the installation of it
      from tpm2deb.pl to texlive-common.links.dist (Closes: #364776)
    - same as above for the /u/s/texmf-texlive/ls-R link
    - let *all* packages depend on texlive-common (which allows the above
      two changes!)
    - add a all.preinst.pre snippet that ensures that all texlive
      packages are *first* purged before the -2 version is installed.
      We don't support upgrade path from experimental. Also add the
      preinst handling which was missing.
    - texlive-common depends on tex-common, the other packages do only
      depend on texlive-common
  * allow all.{post,pre}{inst,rm}.{post,pre} to be merged into all
    maintainer scripts
  * do not install SourceFiles into the binary package.
  * install the README.?? files only into texlive-common
  * update the tl4deb-dep diagram
  * move endfloat.dvi from texlive-latex-recommended to texlive-latex-extra
    (upstream fix necessary)

2006-05-08 NP
  * move the installation of debianize-updmap form tpm2deb.pl to the
    texlive-base-bin.root 
  * update tpm2liclines from catalogue
  * allow installation of uuencoded files via the .root method, and move
    tl4deb-deptree.pdf.uu into texlive-common.root, remove all references
    to tl4deb-deptree in tpm2deb.pl (especially the rules files)
  * remove all .svn directories at source package build time from debian
  * bump standards version to 3.7.2, no changes necessary
  * install mime entry for dvi in texlive-base-bin (thanks Jörg Sommer)
  * move declaration of build-dependencies into the config file,
    move dpatch into Build-Depends: as it is necessary for clean target.
  * before writing out relation fields, uniq the entries.

2006-05-06 NP
  * blacklist musixtex, musixps, musixlyr, and let texlive-music depend
    on the updated packages.
  * add mllatex.ini to texlive-formats-extra and blacklist it in
    texlive-latex-base

2006-05-04 NP
  * add man pages for pkfix, texconfig-dialog, aleph, lambda, otangle
    (thus all binaries have man pages now, yippie)

2006-05-03 NP
  * add man page for pdfcrop (written by Frank, thanks)

2006-05-02 NP
  * texlive-lang-polish conflicts with octave-forge as both provide
    /usr/bin/mex, this is preliminary, a better solution must be
    sought (Closes: #364059)

2006-05-01 NP
  * add man pages for bibtex8, devnag, ps4pdf, musixflx (from Andreas Tille)
    getnonfreefonts-sys (link to getnonfreefonts), perltex (pod2man)

2006-04-30 NP
  * add man page for simpdftex

2006-04-29 NP
  * add man page for pdfopen and pdfclose (thanks Frank)
  * add man page for deprecated altpdf* scripts

2006-04-25 NP
  * extend license with a coverage check
  * blacklist trig.dtx and xdoc from fontinst sources (thanks to Frank
    for spotting this)
  * extend the svn README (not installed) for config file syntax and
    first write up on the build procedure

2006-04-23 NP
  * add support for arbitrary bin-package specific subtrees in addons-per-bin,
    and install omfonts.1 into texlive-omega man directory.
  * License support rehauled: We now give for (nearly) every file a license
    statement generated from the TeX Catalogue. 

2006-04-10 NP
  * fix build_format_if_format_exists check, it was completely hosed
  * let texlive-lang-cyrillic conflict with tetex due to /usr/bin/ru*

2006-04-06 NP
  * blacklist sanskrit.tpm, and recommend latex-sanskrit from
    texlive-lang-indic.

2006-04-03 NP
  * Remove build-deps on | libxaw8-dev as it goes away with X7.

2006-04-01 NP
  * Remove non-free documentation and create a specific package
    texlive-doc-nonfree. Currently only three context documents.
  * change pdftex's version string to indicate that it uses libpoppler,
    taken from the teTeX patch (thanks to Frank and Julian).

2006-03-23 NP
  * include the texdoc patch from tetex, which allows following of
    symlinks for doc files, and fixes security concerns (Closes: #356390)
  * As a consequence of the above patch let tl-extra-utils depend on 
    mime-support.
  * remove tetex-missing-magic-header workaround in test script.

2006-03-20 NP
  * add conflict ptex-bin vs texlive-lang-polish as both provide platex.
  * add a fix to the tmpfile race in the example feynmf.pl script (thanks
    to Kevin B. McCarty).

2006-03-14 NP
  * change shell for the reportbug script to bash (Closes: #356391)

2006-03-12 NP
  * Add lintian override for pdfcrop and thumbpdf executable-not-elf-or-script
    because it is one of the magic header which can be called with sh or perl.

2006-03-11 NP
  * Blacklist /usr/bin/thumbpdf and /usr/bin/pdfcrop as it is a link to 
    texexec, which is in texlive-context, while thumbpdf/pdfcrop is in 
    texlive-pdfetex. Remap the thumbpdf and pdfcrop perl files from scripts to
    /usr/bin. (Closes: #352092)

2006-03-06 NP
  * allow overriding of tpm and package titles and descriptions, improve
    various descriptions (Closes: #354964)

2006-03-04 NP
  * add all update-* calls to the postinst scripts so that the config file do
    not contain left-overs from tetex at switch time (Closes: #355266)

2006-03-02 NP
  * Add the temporary directory to TEXFORMATS in fmtutil, to allow
    building formats based on latex.fmt without cluttering stdout
    (patch taken from tetex by Frank Küster, see bug #354604)

2006-03-01 NP
  * make all texlive-lang-* packages working with tetex3, but add a
    README file explaining the situation for duplicate languages.
  * only recommend dvipdfmx, so we can go for the upload
  * make most depends on other Debian packages a recommends (tipa, texpower,
    etc)

2006-02-28 NP
  * remap the ibycus4.map TeX/MF input file from the fonts/map location
    to the fonts/source location (upstream cleanup necessary) (Closes: #354652)
  * add packages specific README.Debian files
  * allow various texlive-lang-* packages to work with tetex3

2006-02-26 NP
  * Fix dependency of texlive onto texlive-latex-base

2006-02-25 NP
  * Let texlive-base depend on the new NMU of dvipdfmx and blacklist it.
  * Try to stop the build system to build dvipdfmx.
  * Add Provides for virtual packages: dvipdfm, cweb, ctie, texdoctk

2006-02-20 NP
  * move all files to texmf-texlive, only a few essential stay in TEXMFMAIN
  * add a new package texlive-full which takes the role of the previous
    texlive package in pulling in all necessary components, while the
    texlive package itself now consists of a selection of packages
    (the -recommended ones, plus doc-en, but no -lang-*)

2006-02-19 NP
  * conflict: texlive-extra-utils with dviutils (superseeded, more utils)
  * blacklist bin-dvi2tty, but let tl-extra-utils depend on dvi2tty
  * fix problems when switching from teTeX (missing update-language call)
    (all three thanks to Atsuhito Kohda)

2006-02-18 NP
  * The svn repository has moved to the debian-tex project at alioth,
    thus the revisions now are shifted by ~500.

2006-02-13 NP
  * remove /var/lib/texmf/web2c/{latex,pdflatex}.{fmt,log} before
    calling fmtutil-sys --all as jadetex (and other formats) with 
    a fmtutil config line based on the latex format might use the
    old latex format. (Closes: #351707)

2006-02-12 NP
  * blacklist /usr/bin/uniqleaf which is a link to texexec but no
    corresponding perl file exists (but it is in tetex).
  * Fix the Build-Depends-Indep vs Build-Depends stuff
  * tipa NMU is in Debian, so depend on it
  * fix for the link files fix
  * cleanup of common.functions (backticks, printf instead of echo -n)

2006-02-11 NP
  * blacklist lm(odern), and depend on lmodern >= 0.99.3-1, this makes the
    lmodern fonts again available for X (Closes: #351727)
  * included fixes for errors in the depot:
    - remove ltxdoc.cfg from tex/latex/subfig
    - move pst-3d.tex from the doc directory to the proper place

2006-02-06 NP
  * add a special clause to bug script to see the texmf-texlive/ls-R file
  * import debianize-updmap and other fixes for fmtutil from tetex 

2006-01-31 NP
  * fix installation of files from addons-per-bin
  * link fixing: remove double call to dh_link, install pre-distributed
    links files as package.links.dist, fix update-link-files to copy the
    package.links.dist to package.links, and only append the links from
    package.links.generated
  * add some more man pages (links to pdfetex.1)

2006-01-24 NP
  * add a watch file to the sources
  * add poppler/Link.h for building with poppler >= 0.5.0. Thanks to Martin
    Pitt.
  * texpower is updated, let texlive depend on it

2006-01-15 NP
  * expand reportbug script to include an ls -l of texmf.cnf, fmtutil.cnf
    updmap.cfg, and language.dat

version 2005-1 experimental Thu, 12 Jan 2006 17:30:22 +0100

2006-01-12 NP
  * switch to debhelper compat version 5, no changes necessary
  * upload to experimental, based on scripts revision 293.
  * Upload sponsored by Neil McGovern <maulkin@halon.org.uk>
  * fix tetex-dependency/conflict check
  * fix bug report script, install it into all packages

2006-01-11 NP
  * support for reportbug control and script, all packages but the
    doc packages report together with texlive-base-bin, and texlive-base-bin
    reports via the same script as does tetex-base.
  * remove config.status file in pdcmac
  * texlive-formats-extra conflicts with tetex-bin <= 3.0-13
  * add missing build dependency texlive-bin -> ed
  * test builds are done in a minimal pbuilder with only build-essential stuff

2006-01-09 NP
  * clean up poppler patch
  * separate the writing of debian/rules into its own function
  * clean up the whole direcory (shouldn't I do it for my life, too ;-)
  * add a README file in the repository how everything is structured
  * restructuring stuff:
    - merge scripts/snippets/addons etc into two directories
      addons-per-source and addons-per-bin
    - simplify the make_deb_source functions as nearly all files
      are now installed automatic via the addons-per-* stuff.

2006-01-04 NP
  * fix read_changelog program
  * build sources only based on the configuration in tpm2deb.cfg, not
    necessary to be specified in the Makefile
  * test script cats all the error files /tmp/texlive.* to stdout if
    one of the commands goes wrong
  * fix check_consistency by blacklisting collection-binaries, actually
    break out if there is an error raised in check_consistency

2005-12-29 NP
  * remove conflicts on thailatex, although it doesn't work with texlive
    (and probably not with thailatex). Updates are necessary to thailatex.
  * change dep on tex-common to >= 0.12

2005-12-28 NP
  * kill texlive-lang-cjk package:
    - move yi4latex to texlive-latex-extra
    - recommend latex-cjk-all (>= 4.6.0+cvs20051031-4)
  * remove 40_hbf2gf.dpatch as it is not included into the package
    anymore
  * add libpoppler-dev to Build-Deps for texlive-bin

2005-12-27 NP
  * move unified doc dir to /usr/share/doc/texlive-doc as there is a 
    package texlive, install all the README.?? etc also there
  * include fixes from Werner Lemberg for hbf2gf and mktexmf
       dpatch/texlive-bin/40_hbf2gf.dpatch and 41_maketexmf.dpatch
       dpatch/texlive-base/30_depot_fixes.dpatch
  * switch pdfetex from libxpdf to libpoppler, patch taken from tetex

2005-12-26 NP
  * add missing dependency of texlive-omega onto texlive-latex-base for
    latex.ltx in lambda.ini (todo for depot)
  * move mltex and bin-mltex to texlive-formats-extra (todo for depot)
  * add missing dependency of texlive-formats-extra onto texlive-latex-base
    for bplain.tex and mllatex (todo for depot)
  * include diagram into texlive-doc-base package
  * fix --noremove option to tpm2deb.pl
  * add sharutils to build-deps of texlive-doc

2005-12-23 NP
  * created a diagram of dependencies
  * implement automatic test system, testing all packages with install-
    remove-install-purge cycle
  * fix installation of eplain format, it has been moved to tl-plain-extra
    instead of tl-formats-extra (todo for depot)
  * for the texlive-doc-* packages call mktexlsr only if it is available
    (these packages do not depend on texlive-base-bin)

2005-12-21 NP
  * call fmtutil-sys --all in tl-base and tl-base-bin postinst script
  * move tex4ht from recommends to depends for the texlive package, as
    it is already fixed in unstable to work with texlive and tetex.
  * Include relation to teTeX in README.Debian

2005-12-15 NP
  * make texlive-math-extra and texlive-plain-extra conflict with tetex
  * version dependency of cm-super >= 0.3.3-3 due to the name change
  * include pdftex update to 1.30.5, bugfix release
  * texlive-font-utils conflicts with tetex

2005-12-14 NP
  * tl-htmlxml completely replaced, removed conflict of tl-context vs tex4ht
  * let texlive recommend tex4ht in locally updpkg version

2005-12-13 NP
  * make packages which are not texlive specific depend on either texlive
    or tetex, and remove unnecessary conflicts with tetex, so that tetex
    users can use the texlive packages, too.

2005-12-12 NP
  * Rename dependency from lcdftypetools to lcdf-typetools
  * don't build texlive-htmlxml but recommend the respective debian pkgs
  * move xmlplay from texlive-htmlxml (not build) to tl-latex-extra

2005-12-11 NP
  * remove texlive from the dependencies of the texlive packages
  * include security fix xpdf-3.01pl1.patch (CAN-2005-3193)
  * add bzip2 to build-dep
  * fix installation of getnonfreefonts(-sys)

2005-12-10 NP
  * fix rules generation to first unpack and then patch
  * add texdoctk patch warning if perl-tk is not installed (stolen from tetex)
    and remap-link texdotk.{defaults,dat} to /etc/texmf/texlive/texdoctk
  * add a texlive meta package that pulls in all sub packages and other
    Debian packages resulting in a more or less complete TeX Live system.
  * change orig.tar.gz layout to look exactely like the DVD (so we can
    once put the debian dir into the DVD)

2005-12-09 NP
  * use source.tar.bz2 from Master/source (i.e. from the DVD)

2005-12-03 NP
  * blacklist euclide.tpm, as it is superseeded by pst-eucl (todo for depot)
  * "give Debian what Debian is":
    - do not build texlive-lang-arab as it is arabtex which is in Debian
    - blacklist prosper and depend on prosper (fix for prosper needed)
      recommend prosper
    - blacklist texpower and tpslifonts as they are superseeded by the
      Debian texpower package (fix for texpower needed), recommend texpower
    - blacklist tipa as it is in Debian (fix for tipa send to maintainers)
      recommend tipa
  * switch field separator in cfg file to ; so that epoch specifications work

2005-12-02 NP
  * blacklisting xymtex as it is not distributable.
  * blacklist (bin-)ppower4 as it depends on java and no sources
    are provided within texlive (but you can get it from the author)
  * save ChangeLog in utf8

2005-12-01 NP
  * add dependency tl-context -> tl-metapost (thanks Arne Jørgensen)
    (todo for depot)

2005-11-30 NP
  * add symlink from texmf-texlive/ls-R to /var/lib/texmf/ls-R-TEXLIVE
  * kill packages ttf-utils, ps-utils, graphics-tools, they should become
    proper Debian packages

2005-11-29 NP
  * another round of package renaming, adaptions to the perl script
  * move only the files from texmf-dist and texmf-doc to texmf-texlive, 
    leave others in place (more work for teTeX cooperation has to be done)
  * fix lintian generation for source packages

2005-11-28 NP
  * reduce number of source packages
  * rename various packages

2005-11-27 NP
  * properly clean up debian subdir with target clean, ie remove the
    generated maintainer scripts and the generated .link files.
  * upgrade pgf in texlive-pictures to 1.01 for compatibility fixes

2005-11-24 NP
  * Close the ITP (Closes: #312897)
  * add a dependency tl-htmlxml -> tl-latexrecommended because jadetex
    needs the ecrm fonts.
  * switch to texmf-texlive tree, which also makes a dependency on
    tex-common >= 0.12 necessary.

version 2005-0.2 UNRELEASED Tue, 22 Nov 2005 23:49:00 +0100

2005-11-22 NP
  * this release was uploaded as -1 to experimental but rejected. Thus
    the release was renamed as -0.2 and a new -1 will be generated.
  * re-add updmap-sys call to the postrm scripts
  * make updmap-sys silent in postinst script
  * make fmtutil-sys silent in postinst script
  * make mktexlsr silent in postinst script
  * change depend on tex-common to >= 0.11 for TEXMFSYSCONFIG change

2005-11-21 NP
  * fix lintian source override installation
  * fix etex/pdfetex format generation problem
  * remove the 04TeXlive hack as the change will go into tex-common 0.11
    rather soon
  * remap only a few config files (those for programs) to /etc/texmf/texlive
  * try to fix the conundrum with format generation. This is a complete
    upstream chaos (ok, also upstream I created the chaos ;-). Should be fixed
    rather soon.

2005-11-20 NP
  * fix invocation of grep in common.functions to add || true, since grep
    returns if no match found
  * fix installation of TeXlive.cnf as 04TeXlive.cnf into /e/t/texmf.d
  * add a overriding TEXMF variable to 04TeXlive.cnf which includes
    TEXMFCONFIG without !! (Should actually be fixed in tex-common!)
  * remove the long invocation of language.dat
  * fix merging of common.functions into postrm and prerm
  * fix regexp for installing lintian.override files

2005-11-19 NP
  * add common.functions and merge it into the maintainer scripts
  * change check for the existence of a format from kpsewhich fmt.ini
    to a fmtutil-sys --listcfg check (in common.functions)
  * Leave the map files in TEXMFMAIN and do not remap them to /etc/texmf
  * New configuration file handling, all the files are left in their
    normal place and config files to shadow these files should be put 
    into /etc/texmf
  * Add override for TEXMFSYSCONFIG to /etc/texmf
  * give the updmap.d, fmt.d, and language.d config snippets priority 10
    and only the us language snippet the 09 priority.
  * create a README.Debian
  * lintian override for a2perl header problem

2005-11-16 NP
  * add a distribution entry to the ChangeLog file and make tpm2deb.pl
    aware of it
  * fix all remaining man page warnings of lintian
  * load tpm data from a dump of the %TpmData using perl::Storable,
    significantly speeding up the initialization time at source-deb
    building time.
  * add additional override for texlive-langgerman that german is correct

2005-11-15 NP
  * fix the man page errors (wrong char and ttf2pt1)

version 2005-0.1 UNRELEASED Mon, 14 Nov 2005 20:11:34 +0100

2005-11-14 NP
  * remove build-dep on tex-common
  * Rework maintainer script handling, separate out the creation of
    maintainer scripts into a function, allow only to create the
    maintainer scripts for checking.
  * move the extra format configuration from the snippets/post scripts
    to tpm2deb.cfg.
  * Building a first prerelease version. The scripts used are from
    svn revision 134.

2005-11-11 NP
  * Fix a failure in setting the executes, thus there were some map files
    missing.

2005-11-09 NP
  * Don't forget dh_strip

2005-11-08 NP
  * Fixes for big cleanup part I.
  * Create all rules file from tpm2deb.pl, make the rules subdir
    unnecessary.

2005-11-07 NP
  * Big cleanup in the script, part I.
    - make config file syntax more readable
    - create infrastructure for all kind of tests by reading in all tpm
      data and store it in a hash
    - separation of functions handling with tpm data, config file reading
      and hash creation from the debian functions
    - work on more packages in one go is now possible, thus the tedious
      reading of all the tpm files is not necessary anymore

2005-11-05 NP
  * TeX live 2005 is done. It includes everything up to perforce change #8640.
  * Make a new set of tpm/licence files
  * allow independent building of orig.tar.gz files
  * do not create empty control files
  * remove old fmt/log files in the postinst script prior to creating
    them new to get rid of leftovers.
  * include a lot of checks that dependencies are going right

version 2004.05.10.13-1 UNRELEASED Thu, 13 Oct 2005 22:44:33 +0200

2005-10-13 NP
  * Include the list of all licenses of all packages into the package
  * Rebuild packages from current depot including perforce change #8432
  * move the format generation of etex and pdfetex from -basic to -pdfetex
  * Install lintian overrides for zero-byte-file-in-doc-directory,
    extra-license-file, and script-not-executable.
  * add support for dh_link and create links for some man pages

2005-10-11 NP
  * Make blacklists collection specific. 
  * Implement consistency checks:
    - packages which are included in two collections
    - packages which are not included at all
      (missing for bin-* packages)
  * Include antt and iwona only in texlive-fontsextra and not in 
    texlive-langpolish.

2005-10-06 NP
  * change cm-super from Suggest to Depend, as it is now in Debian/sid

2005-10-04 NP
  * remove last traces of texlive-trees and replace it by Master
  * Fix postrm scripts to take actions only on remove action, not
    on purge

2005-09-29 NP
  * Move to svn://svn.debian.org/pkg-texlive/texlive/trunk/
  * split tpm2deb from Master, include the Tools perl modules in orig.tar.gz

2005-09-27 NP
  * Add mktexlsr patch to generate ls-R via a /tmp file and cat into
    the original one. This way permissions can be set for the ls-R files.
    Taken from tetex-bin.

2005-09-26 NP
  * Changed cmd test to which from test -e, so that no actual paths
    are used in the control scripts (Debian Policy)

version 2004.05.09.25-1 UNRELEASED Sun, 25 Sep 2005 12:03:18 +0200

2005-09-25 NP
  * Change the test for fmtutil-sys --byhyphen to fmtutil-sys --listcfg
    and grep for ^latex.
  * Remove the chmod -x stuff, it breaks execution of various web2c/*
    scripts (mktexupd, tcfmgr, ...)
  * Switch to new numbering scheme (tlversion.yy.mm.dd) where tlversion
    is the last *released* TeX live version and yy.mm.dd is the current
    date. This way we can have regular releases 200N-debrelease and 
    additional releases between official TeX live releases.
  * Fix the order of ifs in postrm scripts so that first the existence of
    fmtutil-sys is checked, and then wether the latex fmt is installed.
  * Add myself to the Uploaders field.
  * New source version, including up to perforce change #8177

2005-09-24 NP
  * Forget to remove the "all" from the generated rules file. It does
    not hurt at build time, but I don't like it.
  * add the fmtutil-sys --byhyphen calling check also to the postrm scripts
  * remove x bit from all files under texlive-trees at source packages
    built time

2005-09-23 NP
  * Fix the lang postinst scripts so that fmtutil-sys --byhyphen is only
    called if language.dat is found. This is not the optimal method, but
    the best I can think of ATM.
  * Actually copy source and not source.development from the depot
  * make the architecture parameter to tpm2deb unnecessary and put config
    for this into the tpm2deb.cfg file. Update all the debian/rules files.
  * Change Maintainer to: 
    Debian TeX live Maintainers <pkg-texlive-maint@lists.alioth.debian.org>
  * Added some documentation to tpm2deb.pl, and cleaned up the script

version 2005.09.15-2 UNRELEASED Wed, 21 Sep 2005 16:59:23 +0200

2005-09-20 NP
  * Move the link /usr/share/texmf/fonts/map -> /etc/texmf/map from
    texlive-basic to texlive-basicbin as in the later there are several
    map files and updmap is also in basicbin
  * Temporary fixes to the tpm files to make texlive-lang* with hyphen files
    depend on texlive-latex and not only on texlive-basic.
  * Add (unused) feature to build debian packages for single CTAN packages
    as well

version 2005.09.15-1 UNRELEASED Thu, 15 Sep 2005 16:14:10 +0200

2005-09-15 NP
  * New source version, including up to perforce change #8062
  * fixed format generation problem
  * make descriptions lines not longer than 80 chars

2005-09-14 NP
  * add -e to the /bin/sh shebang for error checking in the control scripts
  * test for existence of various programs before trying to execute them
    this is for the case when a package is removed but not purged, but
    the tex-common package is removed, too.

version 2005.08.27-1 UNRELEASED Sat, 27 Aug 2005 16:03:44 +0200

2005-08-27 NP
  * New source version, including up to perforce change #7870
  * fix build dependency on libXaw7-dev | libXaw8-dev
  * Fix generation of formats of texlive-basic. The actual fmt.d files
    are in texlive-basicbin, but the .ini files are in texlive-basic,
    so actually the call to fmtutil should be in the postinst of
    texlive-basic. (Thanks to LUK ShunTim)

2005-08-26 NP
  * Do not include cm-super.tpm, but suggest the debian package cm-super,
    which contains the full set of cm-super fonts. For now locally
    available on tug.

2005-08-25 NP
  * Fix installation of README.Debian-source into all binary packages

version 2005.08.24-1 UNRELEASED Wed, 24 Aug 2005 18:10:02 +0200

2005-08-24 NP
  * Everything is build with depot at change #7842
  * Really fix the info problem: Now all the info files are converted at
    install time to unix line endings. Thus also the strange ^M in the
    postinst script install-info commands should be fixed.

2005-08-23 NP
  * New source version, including up to perforce change #7836
    This includes fixed versions of pdftex, mpost, dvipdfmx, and as usual
    several updates to  (La)TeX packages.
  * fixes the dvips.info install problem
  * lm is now included in texlive-basic, so changed conflicts in tpm2deb.cfg
  * generation of /var/cache/font/* and various ls-R files has moved to
    tex-common (>= 0.7), thus also the changed Depends
  * Dependency on tex-common (>= 0.7) also fixes the lambda with all
    languages problem in dumping the format file

2005-08-22 NP
  * Include the included packages and their title in the long description
    of the control files, and generate the control files automatically.

version 2005.08.21-1 UNRELEASED Sun, 21 Aug 2005 16:20:00 +0200

2005-08-21 NP
  * New source version, including up to perforce change #7781
  * Fix missing dependencies in Depot, should make install/deinstall more
    clean, and give a full install.
  * Building the source packages does not need the file revision anymore,
    all information are deduced from this ChangeLog file

version 2005.08.18-2 UNRELEASED Sat, 20 Aug 2005 22:35:00 +0200

2005-08-20 NP
  * Fix installation of /var/cache/font etc
  * Link verious config files into /etc/texmf
  * remove generated formats in the postrm script
  * dynamically generate ChangeLog file from the ChangeLog of tpm2deb

version 2005.08.18-1 UNRELEASED Thu, 18 Aug 2005 22:00:00 +0200

2005-08-18 NP
  * Split out texinfo building into its own (source)package.
  * More work on the doc disaster.

2005-08-16 NP
  * Fix info installation again. blacklist now really disables *all*
    actions, also specials, while empty mappings allow special actions.
    So the info files from info are blacklisted, all the others are
    remapped to void and dh_installinfo-ed.

2005-08-12 NP
  * Fix syntax error in postrm when no actions are defined

2005-08-11 NP
  * Fix install-info installation
  * Fix dh_installinfo/dh_compress order in rules, update rules files for
    arch=all
  * do not call updmap-sys, fmtutil-sys, update-XXXX in postrm upgrade
    . /usr/share/doc/pkgname/...
        contains the actual files
    . /usr/share/doc/texmf/
        contains some directories and some symlinks to directories in
        /usr/share/doc/pkgname (as I said, hope this works, will
        implement it now and see ;-)
    . /usr/share/texmf/doc -> ../doc/texmf

2005-08-10 NP
  * Add support of info files with dh_installinfo
  * do not install tpm files and fmtutil/* files into /usr/share/texmf
  * put DocFiles back into /usr/share/texmf/doc, but make links of
    every file to /usr/share/doc/debname/...
    Hopefully texdoc is working now.

version 2005.08.02-1 UNRELEASED Tue, 02 Aug 2005 20:00:00 +0200

2005-08-02 NP
  * Start of ChangeLog and first version

EndOfChangeLog

# vim:set fileencoding=utf-8: #
# Local Variables:
# coding: utf-8
# mode: debian-changelog
# End:
